Get Chat Cell
curl --request GET \
--url https://app.textql.com/v2/chats/{id}/cells/{cellId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.textql.com/v2/chats/{id}/cells/{cellId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.textql.com/v2/chats/{id}/cells/{cellId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"status": "completed",
"created_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"role": "user",
"content": "<string>",
"code": "<string>",
"query": "<string>",
"connector_id": 123,
"output": [
"<string>"
],
"dataframe_preview": "<string>",
"execution_time_ms": 123,
"tool_name": "<string>",
"assets": [
{
"name": "<string>",
"type": "<string>",
"url": "<string>",
"content": "<string>",
"cell_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_cell_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "invalid_request",
"message": "Invalid request body"
}
}{
"error": {
"code": "unauthenticated",
"message": "Authentication required"
}
}{
"error": {
"code": "permission_denied",
"message": "Insufficient permissions"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded"
}
}{
"error": {
"code": "internal",
"message": "Internal server error"
}
}Chat
Get Chat Cell
Retrieve a single cell from a chat by ID
GET
/
v2
/
chats
/
{id}
/
cells
/
{cellId}
Get Chat Cell
Authorizations
API key or JWT token
Response
Chat cell
Cell ID
Cell type (e.g. markdown, python, sql, tableau_sql, metrics, ontology_query, javascript, bash, mcp_tool, preview, web_search)
Available options:
completed, running, pending, halted, failed, unknown Execution error, when the step failed
Message author (markdown cells only)
Available options:
user, assistant Markdown content (markdown cells only)
Executed code (python, javascript, and bash cells)
Executed query (sql, tableau_sql, metrics, and ontology_query cells)
Connector the query ran against (sql and ontology_query cells)
Captured stdout/stderr (python, javascript, and bash cells)
Markdown preview of the result set (query and python cells)
MCP tool invoked, as server/tool (mcp_tool cells only)
Assets this cell produced
Show child attributes
Show child attributes